Skip to main content
GET
/
datapoints
Get Datapoints
curl --request GET \
  --url https://api.sandbox.isometric.com/mrv/v0/datapoints \
  --header 'Authorization: Bearer <token>' \
  --header 'x-client-secret: <x-client-secret>'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/datapoints"

headers = {
    "x-client-secret": "<x-client-secret>",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'x-client-secret': '<x-client-secret>', Authorization: 'Bearer <token>'}
};

fetch('https://api.sandbox.isometric.com/mrv/v0/datapoints', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "nodes": [
    {
      "description": "<string>",
      "display_name": "<string>",
      "id": "dtp_1DVKHKS101S0Q61Q",
      "measured_at": "2023-11-07T05:31:56Z",
      "project_id": "prj_1CTWZQGKE1S0VAXA",
      "quantity": {
        "magnitude": 123,
        "unit": "<string>",
        "standard_deviation": 123
      },
      "source_ids": [
        "src_1EBBF4M7X1S06G1Y"
      ],
      "supplier_reference_id": "<string>",
      "uncertainty_justification": "<string>"
    }
  ],
  "page_info": {
    "end_cursor": "<string>",
    "has_next_page": true,
    "has_previous_page": true,
    "start_cursor": "<string>"
  },
  "total_count": 123
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "ctx": {},
      "input": "<unknown>"
    }
  ]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Query Parameters

supplier_reference_id
string | null

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
display_name_contains
string | null
project_id
string | null
Required string length: 20 - 37
Example:

"prj_1CTWZQGKE1S0VAXA"

quantity_kind
enum<string> | null
Available options:
acidity,
activity_concentration,
amount_of_substance,
amount_of_substance_concentration,
amount_of_substance_per_mass,
area,
area_carbon_emission_factor,
buffer_ph,
bulk_density,
count,
currency,
currency_carbon_emission_factor,
depth,
diameter,
diameter_at_breast_height,
dimensionless,
dimensionless_ratio,
distance,
distance_carbon_emission_factor,
dose_equivalent_rate,
electric_current,
elevation,
energy,
energy_carbon_emission_factor,
energy_density,
exchangeable_amount_of_substance_per_mass,
fuel_economy,
height,
ionic_strength,
latitude,
longitude,
mass,
mass_carbon,
mass_carbon_emission_factor,
mass_cdr_potential,
mass_concentration,
mass_density,
mass_distance,
mass_distance_carbon_emission_factor,
mass_energy_density,
mass_flow_rate,
mass_fraction,
mass_fraction_dry_basis,
mass_fraction_wet_basis,
mass_per_area,
mass_ratio,
molality_of_solute,
molar_mass,
mole_fraction,
partial_pressure,
particle_diameter,
particle_mass_density,
power,
pressure,
specific_surface_area,
specific_volume,
temperature,
time,
time_emission_factor,
voltage,
volume,
volume_carbon_emission_factor,
volume_distance_carbon_emission_factor,
volume_flow_rate,
volume_fraction,
volume_per_area
measurement_sample_id
string | null
Required string length: 20 - 37
Example:

"mts_1D7HS15KD1S03M0Z"

used_in_ghg_entry
string | null
Required string length: 20 - 37
Example:

"rmv_1EEM6NJXX1S0EXKD"

used_in_removal
string | null
deprecated
Required string length: 20 - 37
Example:

"rmv_1EEM6NJXX1S0EXKD"

used_in_ghg_statement
string | null
Required string length: 20 - 37
Example:

"ggs_1GDQJ99Z51S0DYW9"

used_in_ghg_entry_template
string | null
Required string length: 20 - 37
Example:

"rvt_1EVC8RZFE1S0BAT6"

used_in_removal_template
string | null
deprecated
Required string length: 20 - 37
Example:

"rvt_1EVC8RZFE1S0BAT6"

used_in_scope
enum<string> | null
Available options:
REMOVAL,
GHG_STATEMENT,
PROJECT,
NET_NEGATIVITY
last
integer
default:10

An integer number of items to retrieve before the item represented by the cursor passed in the before parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
before
string | null

An opaque cursor representing the first item in the previously requested page to select items ordered before it. Submit the previously requested page’s start_cursor here when paginated backwards.

Minimum string length: 1
first
integer
default:10

An integer number of items to retrieve after the item represented by the cursor passed in the after parameter. Defaults to 10 with a maximum value of 50.

Required range: x <= 50
after
string | null

An opaque cursor representing the last item in the previously requested page to select items ordered after it. Submit the previously requested page’s end_cursor here when paginated forwards.

Minimum string length: 1

Response

Successful Response

nodes
Datapoint · object[]
required
page_info
PageInfo · object
required
total_count
integer
required